'use strict';

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

var request = require('request-promise-native');
var processHtml = require('./lib/process-html');
var validateLanguage = require('./lib/validate-language');
require('babel-core/register');
require('babel-polyfill');
/**
 * Gets the result for the given word
 * @param  {String} word Word to be searched
 * @param  {String} from from language, default en
 * @param  {String} to   to language, default es
 * @return {Object}      Object with the word data
 */

module.exports = function () {
  var _ref = _asyncToGenerator(regeneratorRuntime.mark(function _callee(word) {
    var from = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'en';
    var to = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 'es';
    var url, html;
    return regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            validateLanguage(from);
            validateLanguage(to);
            // Set the url
            url = 'http://www.wordreference.com/' + from + to + '/' + word;
            // Make the request

            _context.next = 5;
            return request({
              method: 'GET',
              uri: url,
              headers: {
                'user-agent': 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36'
              }
            });

          case 5:
            html = _context.sent;
            return _context.abrupt('return', processHtml(html));

          case 7:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, undefined);
  }));

  return function (_x) {
    return _ref.apply(this, arguments);
  };
}();